Export (0) Print
Expand All

Version.LessThan Operator

Determines whether the first specified Version object is less than the second specified Version object.

Namespace:  System
Assembly:  mscorlib (in mscorlib.dll)

static let inline (<)
        v1:Version * 
        v2:Version  : bool

Parameters

v1
Type: System.Version

The first Version object.

v2
Type: System.Version

The second Version object.

Return Value

Type: System.Boolean
true if v1 is less than v2; otherwise, false.

ExceptionCondition
ArgumentNullException

v1 is a null reference (Nothing in Visual Basic).

.NET Framework

Supported in: 4.5.2, 4.5.1, 4.5, 4, 3.5, 3.0, 2.0, 1.1, 1.0

.NET Framework Client Profile

Supported in: 4, 3.5 SP1

Portable Class Library

Supported in: Portable Class Library

.NET for Windows Store apps

Supported in: Windows 8

.NET for Windows Phone apps

Supported in: Windows Phone 8.1, Windows Phone 8, Silverlight 8.1

Windows Phone 8.1, Windows Phone 8, Windows 8.1, Windows Server 2012 R2, Windows 8, Windows Server 2012, Windows 7, Windows Vista SP2, Windows Server 2008 (Server Core Role not supported), Windows Server 2008 R2 (Server Core Role supported with SP1 or later; Itanium not supported)

The .NET Framework does not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

Show:
© 2014 Microsoft